"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapValue = void 0;
function mapValue(obj, mapper) {
    if (typeof obj !== 'object') {
        throw Error('type error, `obj` must be a object.');
    }
    return Object.fromEntries(Object.entries(obj).map(([key, value]) => [key, mapper(value)]));
}
exports.mapValue = mapValue;
